<?php

namespace AutoAdmin\Bundle\Media\Form\Type;

use AutoAdmin\Bundle\Admin\Form\Type\Component\AbstractHelperType;
use Symfony\Component\Form\Extension\Core\Type\FileType;
use Symfony\Component\Form\FormInterface;
use Symfony\Component\Form\FormView;

class SimpleFileType extends AbstractHelperType
{
    public function getParent(): string
    {
        return FileType::class;
    }

    public function buildView(FormView $view, FormInterface $form, array $options)
    {
        $this->addViewClass($view, 'aa-ft-simple-file');
    }
}
